Package ru.bitel.oss.systems.inventory.product.common.event

# Class ProductModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.oss.systems.inventory.product.common.event.ProductModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class ProductModifiedEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Внутри продукта всегда полный список сервисов

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ProductModifiedEvent()`
  ``
  `ProductModifiedEvent(int moduleId, int contractId, int userId, Product oldProduct, Product newProduct)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Product`
  `getNewProduct()`
  `Product`
  `getOldProduct()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductModifiedEvent

    protected ProductModifiedEvent()

  - ### ProductModifiedEvent

    public ProductModifiedEvent(int moduleId, int contractId, int userId, Product oldProduct, Product newProduct)

- ## Method Details

  - ### getOldProduct

    public Product getOldProduct()

  - ### getNewProduct

    public Product getNewProduct()